curl --request POST \
--url https://geoff.ai/api/v1/t2a \
--header 'Authorization: Bearer <token>' \
--header 'X-Stack-Id: stk_jmqog66ha0mugmro' \
--header 'Content-Type: application/json' \
--data '{
"text": "Hello, welcome to Geoff AI.",
"voice_id": "default",
"format": "mp3",
"sample_rate": 44100
}' \
--output speech.mp3
{
"data": {
"audio": "hex-encoded audio data",
"status": 2
},
"trace_id": "04ede0ab069fb1ba8be5156a24b1e081",
"extra_info": {
"audio_duration": 3200,
"audio_sample_rate": 44100,
"audio_channel": 1,
"bitrate": 128000,
"audio_size": 51200
}
}
T2A
T2A (HTTP)
Convert text to audio via HTTP. Returns audio data directly.
POST
/
v1
/
t2a
curl --request POST \
--url https://geoff.ai/api/v1/t2a \
--header 'Authorization: Bearer <token>' \
--header 'X-Stack-Id: stk_jmqog66ha0mugmro' \
--header 'Content-Type: application/json' \
--data '{
"text": "Hello, welcome to Geoff AI.",
"voice_id": "default",
"format": "mp3",
"sample_rate": 44100
}' \
--output speech.mp3
{
"data": {
"audio": "hex-encoded audio data",
"status": 2
},
"trace_id": "04ede0ab069fb1ba8be5156a24b1e081",
"extra_info": {
"audio_duration": 3200,
"audio_sample_rate": 44100,
"audio_channel": 1,
"bitrate": 128000,
"audio_size": 51200
}
}
Authorization
string
required
Bearer token.
Bearer API_key, can be found in Settings > API Keys.Request Body
string
required
The text to convert to speech.
string
Voice identifier to use. Default:
default.number
Speech speed multiplier. Range:
0.5 to 2.0. Default: 1.0.string
Output audio format. Options:
mp3, wav, ogg. Default: mp3.integer
Audio sample rate in Hz. Default:
44100.curl --request POST \
--url https://geoff.ai/api/v1/t2a \
--header 'Authorization: Bearer <token>' \
--header 'X-Stack-Id: stk_jmqog66ha0mugmro' \
--header 'Content-Type: application/json' \
--data '{
"text": "Hello, welcome to Geoff AI.",
"voice_id": "default",
"format": "mp3",
"sample_rate": 44100
}' \
--output speech.mp3
{
"data": {
"audio": "hex-encoded audio data",
"status": 2
},
"trace_id": "04ede0ab069fb1ba8be5156a24b1e081",
"extra_info": {
"audio_duration": 3200,
"audio_sample_rate": 44100,
"audio_channel": 1,
"bitrate": 128000,
"audio_size": 51200
}
}
string
default:"stk_jmqog66ha0mugmro"
required
Supplied automatically by the documentation playground.